Page MenuHomePhabricator

emixer: pulse: Use description as name for sources
ClosedPublic

Authored by pespin on Feb 6 2021, 12:55 PM.

Details

Summary

Same is already done for sinks.

emixer: Add support to set default sink

emixer: Add support to set default source

emixer: gadget: Update UI to follow pulseaudio default sink changes

Diff Detail

Repository
rE core/enlightenment
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
pespin created this revision.Feb 6 2021, 12:55 PM
pespin requested review of this revision.Feb 6 2021, 12:55 PM

Hi,

Just a note.

Some of the indentation seems slightly off. Might be worth fixing that in the meantime until looked over.

Not forgotten about.

devilhorns resigned from this revision.Mar 1 2021, 9:28 AM

Not sure why I am the reviewer here ... but I really am the wrong person for this as I don't know pulse or alsa, etc, etc

abrouwers added a subscriber: abrouwers.EditedMar 1 2021, 10:11 AM

I tested this patch, and it works well here! I liked "prettier" names under the Inputs tab, though I still get a bogus mic listed (not a regression with this patch, it was present before, but with an unrecognizable name):

https://www.enlightenment.org/ss/display.php?image=e-603d2cb750d7a0.90695390.jpg

This revision was not accepted when it landed; it landed in state Needs Review.Mar 2 2021, 12:36 AM
This revision was automatically updated to reflect the committed changes.

As discussed.